<?php
/**
 * Plugin Name: Cassus Media Badge
 * Plugin URI: https://www.cassusmedia.com
 * Description: This plugin adds a custom Cassus Media badge to the footer of the site.
 * Version: 2.6
 * Author: Cassus Media LLC
 * Author URI: https://www.cassusmedia.com
 */

// Add custom CSS
function cassus_media_badge_styles() {
    $css = '
        .cassus-media-badge {
            width: 100%;
            height: 100px; /* Total height including padding */
            background-color: #000000;
            display: flex;
            justify-content: center;
            align-items: center;
            padding: 15px 0; /* Padding 15px top and bottom */
        }
    ';

    wp_register_style('cassus-media-badge', false);
    wp_enqueue_style('cassus-media-badge');
    wp_add_inline_style('cassus-media-badge', $css);
}
add_action('wp_enqueue_scripts', 'cassus_media_badge_styles');

// Add the badge to the footer
function cassus_media_badge() {
    echo '<div class="cassus-media-badge">
        <a href="https://www.cassusmedia.com" target="_blank">
            <img src="https://images.cassusmedia.com/wp-content/uploads/Managed-By-Cassus-Media-Badge.png" alt="Managed By Cassus Media" width="175" height="50">
        </a>
    </div>';
}
add_action('wp_footer', 'cassus_media_badge');
?>
